Subject: bug#51316: 29.0.50; Should we match the final ".git" in bug-reference autosetup?

From: Gregory Heytings <[email-masked]>
Date: Sat, 23 Oct 2021 12:58:55 +0000

>
> I've also tried, and it seems the maximum number of trailing slashes is 
> two.  Those all work:
>
> https://github.com/djcb/mu
> https://github.com/djcb/mu/
> https://github.com/djcb/mu//
> https://github.com/djcb/mu.git
> https://github.com/djcb/mu.git/
> https://github.com/djcb/mu.git//
>
> but any more / gives me "Not found".  Well, and I guess even the two-/ 
> will most probably never occur in real-life when considering where the 
> URL comes from.  I mean, those are usually copy-and-pasted from the 
> forge's special "clone me" button or from a browser's URL bar.
>

Allowing more trailing slashes is a convenience that some but not all Git 
hosts offer.  On Gitlab an (unlimited?) number of trailing slashes are 
allowed, on Github it's two, on Savannah it's one.  The safest solution is 
probably to allow either a trailing ".git" or a trailing ".git/".